## bterm-unifont 1.7

=== Makefile ===
build: unifont.bgf
# unifont_jp.bgf unifont_legacy.bgf

unifont.bgf:
	hex2bdf < /usr/share/unifont/unifont.hex > unifont.bdf
	bdftobogl -b unifont.bdf > unifont.bgf

unifont_jp.bgf:
	hex2bdf < /usr/share/unifont/unifont_jp.hex > unifont_jp.bdf
	bdftobogl -b unifont_jp.bdf > unifont_jp.bgf

unifont_legacy.bgf:
	bdftobogl -b /usr/src/unifont.bdf > unifont_legacy.bgf

clean:
	rm -f unifont.bdf unifont.bgf
	rm -f unifont_jp.bdf unifont_jp.bgf
	rm -f unifont_legacy.bgf

## bterm-unifont 0.011

=== debian/changelog ===
bterm-unifont (0.011) unstable; urgency=low

  * Rebuild to remove setgid bit.

 -- Matt Kraai <kraai@debian.org>  Thu, 17 Jun 2004 20:42:16 -0700

bterm-unifont (0.010) unstable; urgency=low

  * Rebuild against new bf-utf-source (closes: Bug#252889)

 -- Kenshi Muto <kmuto@debian.org>  Sun,  6 Jun 2004 01:41:46 +0000

bterm-unifont (0.009) unstable; urgency=low

  * Rebuild (closes: Bug#238228).

 -- Matt Kraai <kraai@debian.org>  Wed, 19 May 2004 06:24:58 -0700

bterm-unifont (0.008) unstable; urgency=low

  * Fix Build-Depends (closes: Bug#237361).

 -- Kenshi Muto <kmuto@debian.org>  Thu, 11 Mar 2004 18:13:03 +0900

bterm-unifont (0.007) unstable; urgency=low

  * Fix debian/rules binary-arch/indep targets after below change.
  * While I'm at it, switch to debhelper's new udeb support.
  * Fix misuse of dh_clean -k.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Mar 2004 00:12:04 -0500

bterm-unifont (0.006) unstable; urgency=low

  * Kenshi Muto
    - Now, bterm-unifont is architecture dependent package.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 11 Mar 2004 03:16:46 +0000

bterm-unifont (0.005) unstable; urgency=low

  * Kenshi Muto
    - Rebuilt with i386. (but I'm afraid this crashes on big-endian
      arch)

 -- Kenshi Muto <kmuto@debian.org>  Fri,  5 Mar 2004 09:24:22 +0900

bterm-unifont (0.004) unstable; urgency=low

  * Matt Kraai
    - Change the priority to optional.

 -- Matt Kraai <kraai@debian.org>  Wed, 25 Feb 2004 03:20:19 -0800

bterm-unifont (0.003) unstable; urgency=low

  * Matt Kraai
    - Use pidof instead of ps, grep, and awk in the postinst.
    - Add self to Uploaders.
  * Petter Reinholdtsen
    - Depend on bogl-bterm-udeb, not bterm-bogl.
  * Kenshi Muto
    - Fix shebang typo.

 -- Matt Kraai <kraai@debian.org>  Fri, 06 Feb 2004 06:33:36 -0800

bterm-unifont (0.002) unstable; urgency=low

  * Moved to Standards-Version: 3.6.0 (no changes required)
  * Changed maintainer email to mckinstry@debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2003 15:43:37 +0100

bterm-unifont (0.001) unstable; urgency=low

  * First release

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 12 May 2003 09:19:13 +0300

=== debian/control ===
Source: bterm-unifont
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Matt Kraai <kraai@debian.org>, Kenshi Muto <kmuto@debian.org>
Build-Depends: debhelper (>= 4.2), bf-utf-source, libbogl-dev
Standards-Version: 3.6.0

Package: bterm-unifont
Architecture: any
Depends: bogl-bterm-udeb
XC-Package-Type: udeb
Description: Include complete Unicode font for bogl-bterm
 This udeb will replace the reduced font /unifont.bgf with a complete font.

=== debian/rules ===
#!/usr/bin/make -f

build: unifont.bgf
unifont.bgf:
	dh_testdir
	bdftobogl -b /usr/src/unifont.bdf > unifont.bgf

clean:
	dh_testdir
	dh_clean unifont.bgf

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-arch: unifont.bgf install
	dh_testdir
	dh_testroot
	dh_installdeb
	dh_install unifont.bgf /
	dh_gencontrol
	dh_builddeb
	
binary-indep:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## bterm-unifont 1.0

=== debian/changelog ===
bterm-unifont (1.0) unstable; urgency=low

  * Gratuitous version number bump.
  * Moved unifont.bgf to lib. Needs rootskel 1.12

 -- Joey Hess <joeyh@debian.org>  Tue,  3 May 2005 18:17:02 -0400

## bterm-unifont 1.0build1

=== debian/changelog ===
bterm-unifont (1.0build1) gutsy; urgency=low

  * No-change upload to enable stack protector.

 -- Kees Cook <kees@ubuntu.com>  Tue, 14 Aug 2007 11:00:45 -0700

=== debian/control ===
Source: bterm-unifont
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Matt Kraai <kraai@debian.org>, Kenshi Muto <kmuto@debian.org>
Build-Depends: debhelper (>= 4.2), bf-utf-source, libbogl-dev

Package: bterm-unifont
Architecture: any
Depends: bogl-bterm-udeb
XC-Package-Type: udeb
Description: Include complete Unicode font for bogl-bterm

## bterm-unifont 1.1

=== debian/control ===
Source: bterm-unifont
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), bf-utf-source, libbogl-dev
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/bterm-unifont

Package: bterm-unifont
Architecture: any
Depends: bogl-bterm-udeb
XC-Package-Type: udeb
Description: Include complete Unicode font for bogl-bterm

## bterm-unifont 1.5

=== debian/changelog ===
bterm-unifont (1.5) unstable; urgency=medium

  * Remove myself from Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Mar 2018 08:40:10 +0200

bterm-unifont (1.4) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Feb 2016 19:38:39 +0100

bterm-unifont (1.3) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.
  * Drop XC- from Package-Type field.

  [ Christian Perrier ]
  * Add myself as Uploader

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 12:56:22 +0200

bterm-unifont (1.2) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Jul 2010 20:33:17 +0200

bterm-unifont (1.1) unstable; urgency=low

  [ Frans Pop ]
  * Remove Alastair McKinstry, Kenshi Muto and Matt Kraai as Uploaders with
    many thanks for their past contributions. Add Joey Hess.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Sep 2008 21:28:21 -0300

=== debian/control ===
Source: bterm-unifont
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 9), bf-utf-source, libbogl-dev
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/bterm-unifont.git
Vcs-Git: https://anonscm.debian.org/git/d-i/bterm-unifont.git

Package: bterm-unifont
Architecture: any
Depends: bogl-bterm-udeb
Package-Type: udeb
Description: Include complete Unicode font for bogl-bterm

## bterm-unifont 1.6+nmu1

=== debian/changelog ===
bterm-unifont (1.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:40:41 +0800

bterm-unifont (1.6) unstable; urgency=medium

  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 29 Aug 2018 19:30:36 +0200

## bterm-unifont 1.7

=== debian/changelog ===
bterm-unifont (1.7) unstable; urgency=medium

  * Team upload.

  [ Zhang Boyang ]
  * Use upstream unifont directly.

  [ Samuel Thibault ]
  * Build-depend on bogl-utils instead of libbogl-dev for getting bdftobogl.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for bterm-unifont.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Dec 2022 18:00:29 +0100

=== debian/control ===
Source: bterm-unifont
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Holger Wansing <hwansing@mailbox.org>
Build-Depends: debhelper-compat (= 13), unifont, bf-utf-source, unifont-bin, bogl-utils
Vcs-Browser: https://salsa.debian.org/installer-team/bterm-unifont
Vcs-Git: https://salsa.debian.org/installer-team/bterm-unifont.git

Package: bterm-unifont
Architecture: any
Depends: bogl-bterm-udeb, ${misc:Depends}
Package-Type: udeb
Description: Include complete Unicode font for bogl-bterm

## bterm-unifont 1.8

=== Makefile ===
build: unifont.bgf
# unifont_jp.bgf

VPATH=/usr/share/unifont

%.bdf: %.hex
	hex2bdf < $< > $@

%.bgf: %.bdf
	bdftobogl -b $< > $@

clean:
	rm -f *.bdf *.bgf

=== debian/changelog ===
bterm-unifont (1.8) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * Generalize Makefile.
  * Drop legacy font.
  * Make gbp produce the right tag format.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Oct 2024 22:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Holger Wansing <hwansing@mailbox.org>
-Build-Depends: debhelper-compat (= 13), unifont, bf-utf-source, unifont-bin, bogl-utils
+Build-Depends: debhelper-compat (= 13), unifont, unifont-bin, bogl-utils
 Vcs-Browser: https://salsa.debian.org/installer-team/bterm-unifont
 Vcs-Git: https://salsa.debian.org/installer-team/bterm-unifont.git

## bterm-unifont 1.9

=== debian/changelog ===
bterm-unifont (1.9) unstable; urgency=medium

  * Move install path to /usr, to make package usrmerge-compliant.
    Closes: #1122351.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Dec 2025 11:02:13 +0100
